Subject: Re: [PATCH 08/40] mm: kmem_cache_objsize

From: Pekka Enberg <[email-masked]>
Date: Fri, 04 May 2007 21:53:33 +0300

Christoph Lameter wrote:
> SLAB can calculate exactly how many pages are needed. The per 
> cpu and per node stuff is setup at boot and does not change. We are 
> talking about the worst case scenario here. True in case of an off slab
> we have additional overhead that would also have to go into worst case 
> scenario.

Fair enough. But there's no way it can take into account any slab 
management structures it needs to allocate. The slab simply doesn't know 
how many pages are needed to _allocate n amount of objects_.

Peter is interested in a _rough estimate_ so I don't see the point of 
adding that kind of logic in the slab. It's an API that simply cannot 
satisfy all its callers which is why I suggested exposing buffer size in 
the first place (the slab certainly knows how many bytes it needs for 
one object).

			Pekka